summaryrefslogtreecommitdiffstats
path: root/source/l/openexr
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/openexr')
-rwxr-xr-xsource/l/openexr/openexr.SlackBuild50
-rw-r--r--source/l/openexr/openexr.gcc4.diff43
-rw-r--r--source/l/openexr/openexr.gcc43.diff22
3 files changed, 78 insertions, 37 deletions
diff --git a/source/l/openexr/openexr.SlackBuild b/source/l/openexr/openexr.SlackBuild
index 772274819..1bc42cb96 100755
--- a/source/l/openexr/openexr.SlackBuild
+++ b/source/l/openexr/openexr.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,16 +24,25 @@
# Modified by Robby Workman <rworkman@slackware.com>
-PRGNAM=openexr
-VERSION=${VERSION:-1.6.1}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=openexr
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -44,16 +53,19 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
-zcat $CWD/openexr.gcc43.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/openexr.gcc4.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
@@ -78,16 +90,24 @@ make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS ChangeLog COPYING* INSTALL LICENSE NEWS README* \
- $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/doc/OpenEXR-$VERSION/*.pdf $PKG/usr/doc/$PRGNAM-$VERSION/
+ AUTHORS COPYING* INSTALL LICENSE NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+mv $PKG/usr/share/doc/OpenEXR-$VERSION/*.pdf $PKG/usr/doc/$PKGNAM-$VERSION/
rm -rf $PKG/usr/share/doc
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/openexr/openexr.gcc4.diff b/source/l/openexr/openexr.gcc4.diff
new file mode 100644
index 000000000..b227a56e6
--- /dev/null
+++ b/source/l/openexr/openexr.gcc4.diff
@@ -0,0 +1,43 @@
+--- ./IlmImf/ImfMatrixAttribute.h.orig 2010-06-23 21:45:22.000000000 -0500
++++ ./IlmImf/ImfMatrixAttribute.h 2010-08-09 14:08:01.000000000 -0500
+@@ -49,6 +49,8 @@
+ #include <ImfAttribute.h>
+ #include "ImathMatrix.h"
+
++#include <cstring>
++
+
+ namespace Imf {
+
+--- ./exrenvmap/main.cpp.orig 2008-10-28 19:00:18.000000000 -0500
++++ ./exrenvmap/main.cpp 2010-08-09 14:07:14.000000000 -0500
+@@ -51,6 +51,8 @@
+ #include <string.h>
+ #include <stdlib.h>
+
++#include <cstring>
++
+ using namespace Imf;
+ using namespace std;
+
+--- ./exrenvmap/blurImage.cpp.orig 2009-02-25 17:39:27.000000000 -0600
++++ ./exrenvmap/blurImage.cpp 2010-08-09 14:14:31.000000000 -0500
+@@ -43,6 +43,7 @@
+
+ #include <resizeImage.h>
+ #include "Iex.h"
++#include <cstring>
+ #include <iostream>
+ #include <algorithm>
+
+--- ./exrmaketiled/main.cpp.orig 2008-02-29 20:30:14.000000000 -0600
++++ ./exrmaketiled/main.cpp 2010-08-09 14:07:14.000000000 -0500
+@@ -48,6 +48,8 @@
+ #include <string.h>
+ #include <stdlib.h>
+
++#include <cstring>
++
+ using namespace Imf;
+ using namespace std;
+
diff --git a/source/l/openexr/openexr.gcc43.diff b/source/l/openexr/openexr.gcc43.diff
deleted file mode 100644
index 3c617dd55..000000000
--- a/source/l/openexr/openexr.gcc43.diff
+++ /dev/null
@@ -1,22 +0,0 @@
---- a/exrenvmap/main.cpp
-+++ b/exrenvmap/main.cpp
-@@ -46,6 +46,8 @@
- #include <exception>
- #include <stdlib.h>
-
-+#include <cstring>
-+
- using namespace Imf;
- using namespace std;
-
---- a/exrmaketiled/main.cpp
-+++ b/exrmaketiled/main.cpp
-@@ -47,6 +47,8 @@
- #include <string>
- #include <stdlib.h>
-
-+#include <cstring>
-+
- using namespace Imf;
- using namespace std;
-